/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmonthlyplan.entity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workreimbursement.entity.WorkAccount;

/**
 * 月计划管理Entity
 * @author cyp
 * @version 2018-06-27
 */
public class WorkMonthlyPlan extends DataEntity<WorkMonthlyPlan> {
	
	private static final long serialVersionUID = 1L;
	private Date planMonthly;		// 计划月份
	private String officeId;		// 所属部门
	private String planStatus;		// 计划状态
	private String companyId;		// 所属公司
	private BigDecimal yearSumMoney;//年度收款计划
	private BigDecimal beforeSumMoney;//本月前已收款
	private BigDecimal remainingSumMoney;//剩余计划
	private BigDecimal thisSumMoney;//本月计划收款
	private String officeName;
	private String name;
	private BigDecimal estimatePrice;
	private BigDecimal accumulativePrice;

	public BigDecimal getEstimatePrice() {
		return estimatePrice;
	}

	public void setEstimatePrice(BigDecimal estimatePrice) {
		this.estimatePrice = estimatePrice;
	}

	public BigDecimal getAccumulativePrice() {
		return accumulativePrice;
	}

	public void setAccumulativePrice(BigDecimal accumulativePrice) {
		this.accumulativePrice = accumulativePrice;
	}

	private List<WorkMonthlyPlanThis> workMonthlyPlanThisList = Lists.newArrayList();
	public List<WorkMonthlyPlanThis> getWorkMonthlyPlanThisList() {
		return workMonthlyPlanThisList;
	}
	public void setWorkMonthlyPlanThisList(List<WorkMonthlyPlanThis> workMonthlyPlanThisList) {
		this.workMonthlyPlanThisList = workMonthlyPlanThisList;
	}
	public BigDecimal getYearSumMoney() {
		return yearSumMoney;
	}

	public void setYearSumMoney(BigDecimal yearSumMoney) {
		this.yearSumMoney = yearSumMoney;
	}

	public BigDecimal getBeforeSumMoney() {
		return beforeSumMoney;
	}

	public void setBeforeSumMoney(BigDecimal beforeSumMoney) {
		this.beforeSumMoney = beforeSumMoney;
	}

	public BigDecimal getRemainingSumMoney() {
		return remainingSumMoney;
	}

	public void setRemainingSumMoney(BigDecimal remainingSumMoney) {
		this.remainingSumMoney = remainingSumMoney;
	}

	public BigDecimal getThisSumMoney() {
		return thisSumMoney;
	}

	public void setThisSumMoney(BigDecimal thisSumMoney) {
		this.thisSumMoney = thisSumMoney;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public WorkMonthlyPlan() {
		super();
	}

	public WorkMonthlyPlan(String id){
		super(id);
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="计划月份", align=2, sort=7)
	public Date getPlanMonthly() {
		return planMonthly;
	}

	public void setPlanMonthly(Date planMonthly) {
		this.planMonthly = planMonthly;
	}
	
	@ExcelField(title="所属部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="计划状态", align=2, sort=9)
	public String getPlanStatus() {
		return planStatus;
	}

	public void setPlanStatus(String planStatus) {
		this.planStatus = planStatus;
	}
	
	@ExcelField(title="所属公司", align=2, sort=10)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
}